BMAIPAddress Class Reference
Inheritance diagram for BMAIPAddress:
[legend]
Collaboration diagram for BMAIPAddress:
[legend]

## Public Member Functions

std::string | getClientAddress ()
| Get the client network address as xxx.xxx.xxx.xxx.
std::string | getClientAddressAndPort ()
| Get the client network address and port as xxx.xxx.xxx.xxx:ppppp.
int | getClientPort ()
| Get the client network port number.

## Public Attributes

struct sockaddr_in | address
socklen_t | addressLength
Public Attributes inherited from BMAObject
std::string | name
std::string | tag

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/BMAIPAddress.h
- /home/barant/Development/BMA/server_core/ServerCore/BMAIPAddress.cpp